---
import { env } from '~/lib/env';
import EditButton from './EditButton.astro';
import Logo from './Logo.astro';
import MainNavigation from './MainNavigation.astro';

export type Props = {};
---

<nav
  class="select-none px-2 row-start-sidebar-top row-end-sidebar-bottom col-start-sidebar-left col-end-sidebar-right"
>
  <a href={env.BASE_URL} class="grid w-full gap-2 mb-2">
    {
      env.USE_LOGO && (
        <div class="max-sm:h-8 sm:max-h-16 flex justify-center">
          <Logo />
        </div>
      )
    }
    <h2 class="text-2xl font-normal text-center tracking-tight leading-16">
      {env.SITE_TITLE}
    </h2>
  </a>
  <MainNavigation />
  {env.USE_CMS && <EditButton />}
</nav>
